Skip to main content
GET
Parse Result

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

job_id
string<uuid>
required

Unique ID of the parse job

Query Parameters

output_types
enum<string>[]

The desired output format(s) of the parsed file. Must be markdown-document, markdown-per-page, and/or blocks-per-page. Specify multiple values to get multiple formats in the response. markdown-document parses the whole document into a single concatenated markdown output. markdown-per-page provides markdown output per page. blocks-per-page provides a structured JSON representation of the content blocks on each page, sorted by reading order.

The format of the output to be returned by the /parse endpoint.

Available options:
markdown-document,
markdown-per-page,
blocks-per-page

Response

Successful Response

/parse results reponse object.

file_name
string
required

The name of the file that was uploaded for parsing

status
enum<string>
required

The current status of the parse job

Available options:
pending,
processing,
retrying,
completed,
failed,
cancelled
Example:

"completed"

pages
ParsedPage · object[]

Per-page parse results, containing per-page Markdown (if markdown-per-page was requested) and/or per-page ParsedBlocks (if blocks-per-page was requested).

markdown_document
string

The parsed, structured Markdown of the input file. Only present if markdown-document was among the requested output types.

document_metadata
Document Metadata · object

Document-level metadata parsed from the document